org.mozilla.javascript.commonjs.module.provider

## Class CachingModuleScriptProviderBase.CachedModuleScript

- java.lang.Object
- - org.mozilla.javascript.commonjs.module.provider.CachingModuleScriptProviderBase.CachedModuleScript

- Enclosing class:
    CachingModuleScriptProviderBase

      public static class CachingModuleScriptProviderBase.CachedModuleScript
      extends java.lang.Object

  Instances of this class represent a loaded and cached module script.
  Version:
    $Id: CachingModuleScriptProviderBase.java,v 1.3 2011/04/07 20:26:12 hannes%helma.at Exp $
  Author:
    Attila Szegedi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedModuleScript(ModuleScript moduleScript, java.lang.Object validator)` Creates a new cached module script.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedModuleScript

          public CachedModuleScript(ModuleScript moduleScript,
                                    java.lang.Object validator)

      Creates a new cached module script.
      Parameters:
        `moduleScript` - the module script itself
        `validator` - a validator for the moduleScript's source text entity.